% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i piezometri
% PIEZdef contiene le medie per l'intervallo definito dei valori di
% pressione registrati dal piezometro
% ARRAYdatePL contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [BaroDef,BaroDefT,ARRAYdateBL] = MediaDati_BL(DatiBaro,DatiBaroT,...
    TimeBL,NdatiMediaP,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_BL function started';
fprintf(fileID,fmt,text);

%% Barometro
[r,~]=size(DatiBaro);
if NdatiMediaP > r
    NdatiMediaP = r;
end
BaroDef = smoothdata(DatiBaro,'gaussian',NdatiMediaP);

ARRAYdateBL = TimeBL;

%% Termometro
BaroDefT = DatiBaroT;

text = 'Average mean of Baro Link data executed correctly. MediaDati_BL function ended';
fprintf(fileID,fmt,text);
fclose(fileID);

end